{% load alarme_utils %}

<div class="row nomclient mb-2">
    <div class="col-2">Client:</div>
    <div class="col-10">
        <b>{{ client }}</b><br>
        {{ client.rue }}, {{ client.npa }} {{ client.localite }}
    </div>
</div>

<h3 class="mt-3">Samaritains attribués</h3>
{% if current_samas %}
    <form method="post" class="no-button-bar">{% csrf_token %}
    <ul class="list-group-numbered contact-list-orderable" data-reorder="{% url 'client-samas-reorder' client.pk %}"
        data-confirm="Souhaitez-vous vraiment changer l’ordre des samaritains ? La modification sera immédiatement enregistrée.">
    {% for sama in current_samas %}
        <li class="list-group-item d-flex align-items-center{% if sama.professionnel.inactif %} inactif{% endif %}"
            {% if sama.professionnel.inactif %}data-bs-toggle="tooltip" title="Temporairement inactif"{% endif %} draggable="true" data-contact="{{ sama.pk }}">
            <span class="ms-2">
                {{ sama.professionnel.nom_prenom }}, {{ sama.professionnel.localite }}
                {% if sama.professionnel.remarque %}<br><i>{{ sama.professionnel.remarque }}</i>{% endif %}
            </span>
            {% if sama.dist_vo %}
            <div class="ms-5">
                <span title="Distance à vol d’oiseau">{{ sama.dist_vo }} km</span>
                {% if sama.dist_real %} / {{ sama.dist_real.distance|m_to_km }} km ({{ sama.dist_real.duration|sec_to_min }} min.)
                {% else %}<img class="ms-3 icon cursor-pointer calc-dist-icon" title="Calculer la distance par la route" src="{% static 'img/road-icon.svg' %}"
                     data-url="{% url 'client-sama-distance' client.pk sama.professionnel.pk %}">
                {% endif %}
            </div>
            {% endif %}
            <button class="btn btn-secondary ms-auto remove-sama" type="submit" title="Enlever ce samaritain pour ce client"
                formaction="{% url 'client-samas-remove' client.pk sama.pk %}"
                data-confirm="Voulez-vous vraiment enlever ce samaritain pour ce client ?">-</button>
        </li>
    {% endfor %}
    </ul>
    </form>
{% else %}
    <div><i>Aucun</i></div>
{% endif %}

<h3 class="mt-3">Samaritains «potentiels»</h3>
<form method="post" class="no-button-bar">{% csrf_token %}
<ul class="list-group">
{% for sama in other_samas %}
    <li class="list-group-item d-flex align-items-center{% if sama.inactif %} inactif{% endif %}"
        {% if sama.inactif %}data-bs-toggle="tooltip" title="Temporairement inactif"{% endif %}>
        <span>
            {{ sama.nom_prenom }}, {{ sama.localite }}
            {% if sama.remarque %}<br><i>{{ sama.remarque }}</i>{% endif %}
        </span>
        {% if sama.dist_vo %}
        <div class="ms-5">
            <span title="Distance à vol d’oiseau">{{ sama.dist_vo }} km</span>
            {% if sama.dist_real %} / {{ sama.dist_real.distance|m_to_km }} km ({{ sama.dist_real.duration|sec_to_min }} min.)
            {% else %}<img class="ms-3 icon cursor-pointer calc-dist-icon" title="Calculer la distance par la route" src="{% static 'img/road-icon.svg' %}"
                 data-url="{% url 'client-sama-distance' client.pk sama.pk %}">
            {% endif %}
        </div>
        {% endif %}
        <button class="btn btn-secondary ms-auto add-sama" type="submit" formaction="{% url 'client-samas-add' client.pk sama.pk %}"
                data-confirm="Voulez-vous vraiment ajouter ce samaritain pour ce client ?">+</button>
    </li>
{% endfor %}
</ul>
</form>
